/** \file CheckPoint.h 
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
*/

#ifndef CHECKPOINT_H_
#define CHECKPOINT_H_


/* Class Name:		CheckPoint
 * Author: 			Marco Romagnoli
 * Description:	Class the implements the architectural pattern CheckPoint through the pattern Strategy.
 * The check is performed on the table RTDomain (class) that contains all the info about the real time domain.
 */
#include <string>
#include <iostream>

namespace rtaixml_domain
{

class CheckPoint
{
	// Constructor and Destructor
	public:
		CheckPoint();
		virtual ~CheckPoint();
	
	// Services
	protected:
		//if true allows a target to be managed by more than one slave server. TBC in rtaixml_slave!!!
		bool bMultipleSlaveOneTarget;

		//if true - debug mode on
		const static bool IS_DEBUG = false;

	public:
		//TODO analizzare i parametri da passare.
		virtual int CheckPolicy() = 0;
		virtual std::string StringPrintPolicy() = 0;

		bool MultipleSlaveOneTarget();
	
};

}

#endif /*CHECKPOINT_H_*/
