/** \file Constants.h 
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
*/

#ifndef CONSTANTS_H_
#define CONSTANTS_H_

namespace rtaixml_domain {

//XML port interval dedicated to the server.
#define DEFAULT_BASE_PORT 		29500
#define DEFAULT_MAX_PORT	 	29600

//Default Master server name (unique identifier).
#define DEFAULT_MASTER_NAME 	"Master"

//Configuration file name.
#define CONFIGURATION_FILE 		"/etc/rtaixml/rtaixml.conf"
#define COMMENT_VALUE	 		'#'

//Target and company names
#define DEFAULT_TARGET_NAME 	"IFTASK"
#define DEFAULT_SCOPE_NAME 	"RTS"
#define DEFAULT_DIGITAL_NAME 	"RTE"

//Where finding RTAI names
#define DEFAULT_RTAI_NAMES 		"/proc/rtai/names"

//Default session id lenght
#define DEFAULT_SESSION_LENGHT 	12

}
#endif /*CONSTANTS_H_*/
