/**
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)
*
*This library is free software; you can redistribute it and/or
*modify it under the terms of the GNU Lesser General Public
*License as published by the Free Software Foundation; either
*version 2 of the License, or (at your option) any later version.
*
*This library is distributed in the hope that it will be useful,
*but WITHOUT ANY WARRANTY; without even the implied warranty of
*MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*Lesser General Public License for more details.
*
*You should have received a copy of the GNU Lesser General Public
*License along with this library; if not, write to the Free Software
*Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
**/

#include "XmlRpc.h"
#include <iostream>
using namespace XmlRpc;

int main(int argc, char* argv[])
{
  if (argc != 3 && argc!=1) {
    std::cerr << "Usage: StopServer RtaiServerHost RtaiServerXmlRPCPort\n";
    std::cerr << "       StopServer \n";
    std::cerr << "Default RtaiServerHost: localhost and RtaiServerXmlRPCPort 29001 \n";
    return -1;
  }
  
  int port=29001;
  std::string server="localhost";
  if(argc==3)
  {
	port= atoi(argv[2]);
	server=std::string(argv[1]);
  }
  
  
  //XmlRpc::setVerbosity(5);

  // Use introspection API to look up the supported methods
  XmlRpcClient c(server.c_str(), port);
  XmlRpcValue noArgs, result;
  noArgs[0]="RLGM2";
  // Use introspection API to get the help string for the Hello method
  // Call the Hello method
  bool prova=c.execute("Stop_Server", noArgs, result);
  std::cout << prova;
  if (prova)
    std::cout << result << "\n\n";
  else
    std::cout << "Server RTAI stopped'\n\n";
  return 0;
}
